Bug 1292250 - BRMS 6.2 installer fails on specific OS/JDK combinations
BRMS 6.2 installer fails on specific OS/JDK combinations
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
6.2.0
Unspecified Windows
urgent Severity urgent
: DR2
: 6.3.0
Assigned To: Thomas Hauser
Dominik Hanak
:
Depends On:
Blocks: 1299002
  Show dependency treegraph
 
Reported: 2015-12-16 15:15 EST by Spolti
Modified: 2016-04-11 10:23 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1299002 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fail log (93.38 KB, text/plain)
2015-12-18 16:46 EST, Spolti
no flags Details
Success log (106.16 KB, text/plain)
2015-12-18 16:47 EST, Spolti
no flags Details
failure with jdk1.8 on Windows7 (69.89 KB, text/plain)
2015-12-24 01:26 EST, Hiroko Miura
no flags Details
list of domain directory (434 bytes, text/plain)
2015-12-24 01:28 EST, Hiroko Miura
no flags Details
Failure with JDK 1.8 on Fedora 23 (85.91 KB, text/plain)
2016-01-14 10:57 EST, Martin Weiler
no flags Details

  None (edit)
Description Spolti 2015-12-16 15:15:21 EST
Description of problem:
When we try to install the BRMS 6.2 using the installer on Windows we get this error:

Connected to Management Interface.
Advanced configuration command failed: deploy "C:\Users\Administrator\Desktop\jboss-eap-6.4.5/domain/business-central.war" --all-server-groups
{
    "outcome" => "failed",
    "failure-description" => "Path C:\\Users\\Administrator\\Desktop\\jboss-eap-6.4.5\\domain\\business-central.war doesn't exist.",
    "command" => "deploy \"C:\\Users\\Administrator\\Desktop\\jboss-eap-6.4.5/domain/business-central.war\" --all-server-groups"
}


Version-Release number of selected component (if applicable):
BRMS installer 6.2.0

How reproducible:
Just execute the installer on top of JBoss EAP 6.4.x


Steps to Reproduce:
1. Execute the installer
2. Let all installer options as default.


Actual results:
The installation fails.

Expected results:


Additional info:
I tried:

-> C:\\Users\\Administrator\\Desktop\\jboss-eap-6.4.5
-> C:\Users\Administrator\Desktop\jboss-eap-6.4.5
-> C:/Users/Administrator/Desktop/jboss-eap-6.4.5


I also tried change the file separator:

java -jar -Dfile.separato=\/ and \\

All tries returned the same result.
Comment 2 Dominik Hanak 2015-12-17 06:01:30 EST
Hi Spolti,

Could I request InstalationLog from you? 

Thanks,

Dominik.
Comment 3 Spolti 2015-12-18 16:45:50 EST
Hello,

Sorry  for the delay. I attached the installation log from windows machine.
We did more tests on it, and seems that is a issue with Oracle's JDK version 8.




Tests:
=========================================================================

  JBoss Bootstrap Environment

  JBOSS_HOME: /data/jboss/eap645test

  JAVA: java

  JAVA_OPTS: -server -Xms64m -Xmx512m -XX:MaxPermSize=256m -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=org.jboss.byteman -Djava.awt.headless=true -Djboss.modules.policy-permissions=true

=========================================================================

Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=256m; support was removed in 8.0
16:19:32,842 INFO  [org.jboss.modules] (main) JBoss Modules version 1.3.7.Final-redhat-1

Connected to Management Interface.
Advanced configuration completed successfully. See the log for a list of commands that were run on your system. 
Running command:[jar, cf, /data/jboss/eap645test/domain/business-central.war, -C, /data/jboss/eap645test/standalone/deployments/business-central.war/, .]
Running command:[jar, cf, /data/jboss/eap645test/domain/dashbuilder.war, -C, /data/jboss/eap645test/standalone/deployments/dashbuilder.war/, .]
Running command:[jar, cf, /data/jboss/eap645test/domain/kie-server.war, -C, /data/jboss/eap645test/standalone/deployments/kie-server.war/, .]
Trying to connect to Management Interface...(1/5).
Connected to Management Interface.
Advanced configuration command failed: deploy "/data/jboss/eap645test/domain/business-central.war" --all-server-groups
{
    "outcome" => "failed",
    "failure-description" => "Path /data/jboss/eap645test/domain/business-central.war doesn't exist.",
    "command" => "deploy \"/data/jboss/eap645test/domain/business-central.war\" --all-server-groups"
}



Now running the same with Java 7 is successful:

=========================================================================

  JBoss Bootstrap Environment

  JBOSS_HOME: /data/jboss/eap645test

  JAVA: java

  JAVA_OPTS: -server -Xms64m -Xmx512m -XX:MaxPermSize=256m -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=org.jboss.byteman -Djava.awt.headless=true -Djboss.modules.policy-permissions=true

=========================================================================

Advanced configuration completed successfully. See the log for a list of commands that were run on your system. 
Running command:[jar, cf, /data/jboss/eap645test/domain/business-central.war, -C, /data/jboss/eap645test/standalone/deployments/business-central.war/, .]
Exit code: 0
Command success: [jar, cf, /data/jboss/eap645test/domain/business-central.war, -C, /data/jboss/eap645test/standalone/deployments/business-central.war/, .] completed successfully.



+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


Linux - Fedora23: 
[fspolti@my-laptop jboss-eap-6.4.5]$ java -version
openjdk version "1.8.0_65"
OpenJDK Runtime Environment (build 1.8.0_65-b17)
OpenJDK 64-Bit Server VM (build 25.65-b01, mixed mode)

Result: Success


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


Linux - Fedora 23: 
/usr/java/jdk1.7.0_71/bin/java -jar /home/fspolti/Downloads/jboss-brms-6.2.0.GA-installer.jar 

Result Success.


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

:q
Linux - Fedora 23: 
JBOSS_HOME adjusted to: /tmp/jboss-eap-6.4.5
=========================================================================

  JBoss Bootstrap Environment

  JBOSS_HOME: /tmp/jboss-eap-6.4.5

  JAVA: /usr/java/jdk1.8.0_65//bin/java

  JAVA_OPTS: -server -Xms64m -Xmx512m -XX:MaxPermSize=256m -Djava.net.preferIPv4Stack=true -Djboss.modules.system.pkgs=org.jboss.byteman -Djava.awt.headless=true -Djboss.modules.policy-permissions=true

=========================================================================
Result: Success

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Windows server 2008:

C:\Users\Administrator>java -version
java version "1.7.0_25"
Java(TM) SE Runtime Environment (build 1.7.0_25-b17)J
ava HotSpot(TM) 64-Bit Server VM (build 23.25-b01, mixed mode)

Fail: 
Advanced configuration command failed: deploy "C:\Users\Administrator\Desktop\jboss-eap-6.4.5/domain/business-central.war" --all-server-groups
{
    "outcome" => "failed",
    "failure-description" => "Path C:\\Users\\Administrator\\Desktop\\jboss-eap-6.4.5\\domain\\business-central.war doesn't exist.",
    "command" => "deploy \"C:\\Users\\Administrator\\Desktop\\jboss-eap-6.4.5/domain/business-central.war\" --all-server-groups"
}


+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++



Windows server 2008 Java 8u65:
Result: Success
InstallationLog attached.



Thanks.
Comment 4 Spolti 2015-12-18 16:46 EST
Created attachment 1107455 [details]
fail log
Comment 5 Spolti 2015-12-18 16:47 EST
Created attachment 1107456 [details]
Success log
Comment 7 Hiroko Miura 2015-12-23 21:38:11 EST
customer encountered the same issue with jdk 1.6.

Is there any workaround to install 6.2.0 with jdk1.6/1.7?
Do we have a plan to fix this so that install can be performed without any error with jdk1.7( and jdk1.6)?

Unfortunately, they can't use jdk1.8 as their another application need to be run with jdk1.6. So customer is eager to have a fix of this bug as soon as possible.
Comment 8 Hiroko Miura 2015-12-24 01:17:20 EST
Customer reported that installation with jdk 1.8 is still failed on Windows7.
In addition, I confirmed before that it worked on Windows 8. I'll double check later.
So this might be depending on OS version instead of jdk version. 
I'll attach installation when I failed to install with jdk1.8 on Windows 7.
Comment 9 Hiroko Miura 2015-12-24 01:26 EST
Created attachment 1109151 [details]
failure with jdk1.8 on Windows7
Comment 10 Hiroko Miura 2015-12-24 01:28 EST
Created attachment 1109152 [details]
list of domain directory

When installation fails, business-central.war/kie-server.war do not exist in domain directory.
Comment 11 Scott Nichol 2015-12-28 13:36:22 EST
I experienced behavior similar to the OP.  On Windows Server 2008 R2 and Oracle JDK 8u66, BRMS 6.2 GA install failed on

     deploy "C:\Users\snichol\jboss-eap-6.4.0/domain/business-central.war" --all-server-groups

Replacing JDK 8u66 with 7u79, the install succeeded.
Comment 14 Martin Weiler 2016-01-14 10:57 EST
Created attachment 1114875 [details]
Failure with JDK 1.8 on Fedora 23

Installation constantly fails on my Fedora 23 laptop when using Oracle JDK 1.8:

[mweiler@martin installation]$ uname -r
4.2.8-300.fc23.x86_64

[mweiler@martin installation]$ java -version
java version "1.8.0_60"
Java(TM) SE Runtime Environment (build 1.8.0_60-b27)
Java HotSpot(TM) 64-Bit Server VM (build 25.60-b23, mixed mode)

Switching to JDK 1.7 makes the installation to finish successfully.
Comment 15 Dominik Hanak 2016-01-15 04:36:48 EST
I can confirm that installation is successful on RHEL6, RHEL7 and Windows Server 2012 with java 1.6, 1.7, 1.8.
Comment 17 Dominik Hanak 2016-03-03 07:02:21 EST
Verified with 6.3.0.DR2.
Comment 18 Mike Ringrose 2016-04-11 10:23:06 EDT
We resolved this issue by adding the java home\bin folder to our system path.  It was failing to find the jar command.
e.g.
;C:\Program Files\Java\jdk1.7.0_79\bin

Note You need to log in before you can comment on or make changes to this bug.